function dilateCookies
%This function takes a specific photo of cookies,
%and removes broken cookies.

image=im2double(imread('cookies.png'));
subplot(1,3,1), imshow(image);
clean = isodata(image) < image;
a=clean;

N=65;
a = imdilate(clean, strel('disk', 5));
a = imerode(a, strel('disk', N));
subplot(1,3,2), imshow(1-a);
%subplot(1,2,1), imshow(clean);
a=imreconstruct(a, clean, 4);
%Apply mask to original image
%a=a.*image;
subplot(1,3,3), imshow(a);

